iOS 10.3.4 was released a couple of weeks ago to fix some critical GPS issues on older iPads and for the iPhone 5. A huge round of applause for Apple for giving security updates for devices as old as seven years old. Alongside iOS 10.3.4, Apple had also released iOS 9.3.6 for the iPhone 4s to patch the same issue.

Apple has warned users to update to iOS 10.3.4 till November 3rd, 2019, otherwise, the App store, iCloud backup, and Over-The-Air updates would not work anymore. These features are an essential element of an iPhone. If you still couldn’t update your iPhone till November 3rd, you would have to backup your iPhone and then restore it to the latest version of iOS for these functions to work. You would have to use iTunes because OTA’s would stop working. It is advisable to update your iPhone to the latest version of iOS 10 today if you do not want these issues to occur on your iPhone 5. It is always a great idea to be on the latest iOS firmware as it gives new features, bug fixes and enhanced security which are an essential part of an iPhone.

Wouldn’t recommend that for an iPhone 4s on iOS 9 though 😂😂. Since iOS 9 is too slow for the iPhone 4s, maybe that’s why Apple didn’t force users to update to the latest version of iOS 9.3.6. 😂

 

Source: 9to5Mac